Index: npl/mailserver/libdomainkeys/libdomainkeys-0.69.diff
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys-0.69.diff	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys-0.69.diff	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,11 @@
+--- Makefile.orig	2006-01-17 17:28:58.000000000 -0700
++++ Makefile	2009-01-25 21:24:04.000000000 -0700
+@@ -28,7 +28,7 @@
+ dnstest: dnstest.o dns_txt.o
+ 	$(CC) $(CFLAGS) -o dnstest dnstest.o dns_txt.o
+ dns.lib: dnstest.c
+-	(if $(MAKE) dnstest >/dev/null 2>&1; then echo -lresolv; else echo ""; fi) >dns.lib
++	(if ! $(MAKE) dnstest >/dev/null 2>&1; then echo -lresolv; else echo ""; fi) >dns.lib
+ 	 rm -f dnstest
+ 
+ socktest.o: socktest.c
Index: npl/mailserver/libdomainkeys/libdomainkeys.SlackBuild
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.SlackBuild	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys.SlackBuild	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+##NEED:...
+#DEP:openssl
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC
+
+#Directory where the sourcefiles are unpacked.
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+patch -p0 -d $SRC_DIR < libdomainkeys-0.69.diff || exit 1
+
+pushd $SRC_DIR
+
+make
+
+mkdir -p /tmp/pkg/usr/include
+mkdir -p /tmp/pkg/usr/lib
+
+cp domainkeys.h  /tmp/pkg/usr/include
+cp libdomainkeys.a /tmp/pkg/usr/lib
+
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
Index: npl/mailserver/libdomainkeys/libdomainkeys.arch
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/libdomainkeys/libdomainkeys.build
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/libdomainkeys/libdomainkeys.depver
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.depver	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys.depver	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+openssl	5
Index: npl/mailserver/libdomainkeys/libdomainkeys.md5
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.md5	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys.md5	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,6 @@
+ffb61aa4000b392d7b78b4b7cb77dc62  ./libdomainkeys-0.69.diff
+15ec065c6f645a0b9fde3f1ff7681127  ./libdomainkeys-0.69.tar.gz
+b711f17412450a58537ca8693f5a0b15  ./libdomainkeys_dev.pkg
+ce2468344bdcd96627b5076fa8aee3c4  ./libdomainkeys.pkg
+713ede25dcebb59a244d5b70c97f191f  ./libdomainkeys.SlackBuild
+3062e3647b48a2b1990232bbf8b22f63  ./libdomainkeys.SlackBuild.log.gz
Index: npl/mailserver/libdomainkeys/libdomainkeys.version
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+0.69
Index: npl/mailserver/libdomainkeys/libdomainkeys_dev.arch
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys_dev.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys_dev.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/libdomainkeys/libdomainkeys_dev.build
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys_dev.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys_dev.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/libdomainkeys/libdomainkeys_dev.version
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys_dev.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libdomainkeys/libdomainkeys_dev.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+0.69
